﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.OracleClient;
using System.Configuration;
using System.Data;

namespace DataBaseTest
{
    public class OracleHelper
    {
        public static OracleConnection cn = null;
        public OracleHelper()
        {
        }

        public OracleConnection Open()
        {
            cn = new OracleConnection("Data Source=(DESCRIPTION=(ADDRESS_LIST=(ADDRESS=(PROTOCOL=TCP)(HOST=10.171.142.12) (PORT=1522)))(CONNECT_DATA=(SERVICE_NAME=lily)));Persist Security Info=True;User Id=oracle_learn; Password=123");
            cn.Open();
            return (cn);
        }
        public void Close()
        {
            cn.Close();
        }
        /// <summary> 
        /// 返回DataSet 
        /// </summary> 
        /// <param name="CmdString"></param> 
        /// <param name="TableName"></param> 
        /// <returns></returns> 
        public DataSet GetDataSet(string CmdString)
        {
            Open();
            OracleDataAdapter myDa = new OracleDataAdapter();
            myDa.SelectCommand = new OracleCommand(CmdString, cn);
            DataSet myDs = new DataSet();
            myDa.Fill(myDs);
            Close();
            return myDs;
        }


        public void ExcuteCity(string sql)
        {
            Open();

            OracleCommand cmd = new OracleCommand(sql, cn);
            try
            {
                cmd.ExecuteNonQuery();
            }
            catch (Exception er)
            {

                throw er;
            }
            finally
            {
                Close();
            }

        }

        /// <summary>
        /// get datatable by the cmdstring
        /// </summary>
        /// <param name="CmdString"></param>
        /// <returns></returns>
        public DataTable GetDataTable(string CmdString)
        {
            Open();
            DataTable dt = new DataTable();
            OracleDataReader dr = null;
            OracleCommand cmd = new OracleCommand();
            cmd.CommandText = CmdString;
            cmd.Connection = cn;
            using (dr = cmd.ExecuteReader(CommandBehavior.CloseConnection))
            {
                dt.Load(dr);
            }
            Close();
            return dt;
        }



        /// <summary> 
        /// 执行一个查询,并返回查询结果 
        /// </summary> 
        /// <param name="commandText">要执行的SQL语句</param> 
        /// <param name="commandType">要执行的查询语句的类型，如存储过程或者SQL文本命令</param> 
        /// <param name="parameters">PL-SQL 语句或存储过程的参数数组</param> 
        /// <returns></returns> 
        public DataTable ExecuteDataTable(string commandText)
        {
            Open();
            DataSet data = new DataSet();//实例化DataTable，用于装载查询结果集 
            using (OracleCommand command = new OracleCommand(commandText, cn))
            {
                //通过包含查询SQL的SqlCommand实例来实例化SqlDataAdapter 
                OracleDataAdapter adapter = new OracleDataAdapter(command);
                adapter.Fill(data);//填充DataTable 
            }
            Close();
            return data.Tables[0];
        }





    }
}
