﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<Marlboro.Web.Models.CityModels>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Index</h2>

    <script type="text/javascript">
       jQuery(document).ready(function(){
           $("#Citylist").jqGrid({
               url: '/City/Getlist',
               datatype: 'json',
                colNames: [ 'CITYID', 'CITYCODE', 'CITYNAME', 'PROCINCEID'],
                        colModel: [
                            { name: 'CityID',index:'CITYID', sortable: true },
                            { name: 'CityCode', index: 'CITYCODE', sortable: true },
                            { name: 'CityName', index: 'CITYNAME', sortable: true },
                            { name: 'ProvinceID', index: 'ProvinceID',  sortable: true },
                        ],
                        rowNum: -1,
                        caption: 'City List',
                        viewrecords: true,
                        autowidth: true,
                        rowList:[10,50,100],
                        pager: '#pager'
               });
       });
       //JQGrid();
    </script>

    <div style="text-align: center">
        <%--显示主数据的Table ID为list--%>
        <table id="Citylist">
        </table>
        <%--分页用的DIV ID为pager--%>
        <div id="pager">
        </div>
    </div>

    <p>
        <%= Html.ActionLink("Create New", "Create") %>
    </p>
    
</asp:Content>

